<ion-content>
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-menu-button></ion-menu-button>
        </ion-buttons>
        <ion-item>
            <ion-label>{{ 'Facilities' | translate}} >> {{ 'Swimming Pool' | translate }}
            </ion-label>
        </ion-item>
    </ion-toolbar>
    <ion-refresher slot="fixed" (ionRefresh)="onRefresh($event)">
        <ion-refresher-content pullingIcon="arrow-down" refreshingSpinner="circles">
        </ion-refresher-content>
    </ion-refresher>
    <ion-button (click)="addFacility()" expand="block">
        {{ 'Add Swimming Pool' | translate }}
    </ion-button>
    <div *ngIf="!this.cache?.isLoading">

        <ion-list *ngFor="let swimmingPool of  this.cache?.objects; index as i">
            <ion-card [routerLink]="['/society/facilities/swimming-pool/update-swimming-pool',swimmingPool.id]">
                <ion-item>
                    <ion-label>
                        <ion-icon name="flag"></ion-icon>
                         {{ 'Swimming Pool' | translate }}: {{swimmingPool.name}}
                    </ion-label>
                </ion-item>
                <div>
                    <ion-grid>
                        <ion-row>
                            <ion-label>
                                <ion-icon name="people"></ion-icon>
                                {{swimmingPool.facilityOwner? swimmingPool.facilityOwner.name :'Society'}}
                            </ion-label>
                        </ion-row>
                        <ion-row>
                            <ion-label>
                                <ion-icon name="checkbox"></ion-icon>
                                {{swimmingPool.type}}
                            </ion-label>
                        </ion-row>
                        <ion-row *ngIf="swimmingPool?._cache_pending_operation == 'add'" style="color: orangered;">
                            <ion-label>
                                <ion-icon name="alert"> </ion-icon>
                                {{ 'ADDED: not synced to server' | translate }}
                            </ion-label>
                        </ion-row>
                        <ion-row *ngIf="swimmingPool?._cache_pending_operation == 'update'" style="color: goldenrod;">
                            <ion-label>
                                <ion-icon name="alert">r</ion-icon>
                                {{ 'UPDATED: not synced to server' | translate }}
                            </ion-label>
                        </ion-row>
                        <ion-row *ngIf="swimmingPool?._cache_pending_operation == 'delete'" style="color: red;">
                            <ion-label>
                                <ion-icon name="alert">r</ion-icon>
                                {{ 'DELETED: not synced to server' | translate }}
                            </ion-label>
                        </ion-row>
                    </ion-grid>
                </div>
            </ion-card>
        </ion-list>
        <ion-card *ngIf="!this.cache?.isLoading && this.cache?.objects.length==0">
            <ion-item>
                <ion-label>{{ 'No records found!!!' | translate }}</ion-label>
            </ion-item>
        </ion-card>

        <ion-infinite-scroll threshold="100px" (ionInfinite)="loadNext($event)">
            <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="Loading ...">
            </ion-infinite-scroll-content>
        </ion-infinite-scroll>
    </div>

    <ion-card *ngIf="this.cache?.isLoading && this.cache?.objects.length==0">
        <ion-card-header>
            <ion-card-title>
                <ion-skeleton-text animated></ion-skeleton-text>
            </ion-card-title>
            <ion-card-subtitle>
                <ion-skeleton-text animated></ion-skeleton-text>
            </ion-card-subtitle>
        </ion-card-header>

        <ion-card-content>
            <ion-item>
                <ion-label>
                    <ion-skeleton-text animated></ion-skeleton-text>
                </ion-label>
            </ion-item>
            <div>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
            </div>
        </ion-card-content>
    </ion-card>
</ion-content>